#include <common/TracyMutex.hpp>
#include <mutex>
#include <tracy/Tracy.hpp>
void Test()
{
    TracyLockable(std::mutex, lock);
    std::lock_guard<LockableBase(std::mutex)> _(lock);

    std::this_thread::sleep_for(std::chrono::milliseconds(1));
}

int main()
{
    ZoneScoped;
    while (true)
    {
        Test();
    }
    return 0;
}
